repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: check-yaml
      - id: end-of-file-fixer
      - id: trailing-whitespace
  - repo: https://github.com/pycqa/isort
    rev: 5.12.0
    hooks:
      - id: isort
        name: isort (python)
  - repo: https://github.com/psf/black
    rev: 23.3.0
    hooks:
      - id: black
        language_version: python3
  - repo: https://github.com/pycqa/flake8
    rev: 6.0.0
    hooks:
      - id: flake8
#  - repo: https://github.com/mwouts/jupytext
#    rev: v1.14.7
#    hooks:
#      - id: jupytext
#        args: [ --from, "py:percent", --to, "ipynb" ]
#        additional_dependencies:
#          - isort==5.12.0 # Matches hook
#          - black==23.3.0
#          - flake8==6.0.0
